## FILINFO

The `FILINFO` structure holds a file information returned by `f_stat()` and `f_readdir()`.

    typedef struct _FILINFO {
        DWORD fsize;            /* Size */
        WORD fdate;             /* Date */
        WORD ftime;             /* Time */
        BYTE fattrib;           /* Attribute */
        char fname[8+1+3+1];    /* Name */
    } FILINFO;

#### Members

fsize
  Indicates size of the file in unit of byte. This is always zero when it is a directory.
fdate
  Indicates the date that the file was modified or the directory was created.
  bit15:9
    Year from 1980 (0..127)
  bit8:5
    Month (1..12)
  bit4:0
    Day (1..31)
ftime
  Indicates the time that the file was modified or the directory was created.
  bit15:11
    Hour (0..23)
  bit10:5
    Minute (0..59)
  bit4:0
    Second / 2 (0..29)
fattrib
  Indicates the file/directory attribute in combination of `AM_DIR`, `AM_RDO`, `AM_HID`, `AM_SYS` and `AM_ARC`.
fname[]
  Indicates the file/directory name in 8.3 format null-terminated string.

Return